LG Nexus 4 04

Le nuove API per la fotocamera di Android 5.0 Lollipop non sarebbero presenti su Nexus 4

Lorenzo Quiroli -

LG Nexus 4 ha ricevuto l’aggiornamento ad Android 5.0 Lollipop negli scorsi giorni ma potrebbe esserci un’amara sorpresa: le nuove capacità fotografiche non sarebbero infatti supportate dal primo Nexus di LG. Non è facile capire al momento se ciò è derivato da limitazioni hardware, dato che sarebbe molto strano altrimenti.

Di fatto, molti utenti hanno notato che L Camera crasha se installata su un Nexus 4 con Lollipop: come spiega PkmX, sviluppatore dell’app, L Camera richiede INFO_SUPPORTED_HARDWARE_LEVEL == FULL e REQUEST_AVAILABLE_CAPABILITIES deve includere RAW e MANUAL_SENSOR per funzionare correttamente, altrimenti crasha proprio come su Nexus 4.

LEGGI ANCHE: Nexus 4 a partire da 182 euro su Expansys.it

Dopo aver analizzato alcuni log, PkmX conclude che l’implementazione su Nexus 4 è solamente un wrapper, ossia un contenitore all’interno del quale è presente la vecchia implementazione, utile per fare funzionare le nuove app con il vecchio Nexus ma incapace di sfruttare le novità delle nuove API.

Sapevamo della presenza di limitazioni hardware per le nuove API, sottolineate dal solito Anandtech e dovute da un ISP (Image Signal Processor) incapace di trasportare la quantità di dati richiesta, ma nella lista non era presente Nexus 4; inoltre, lo stesso problema sembra affliggere anche Nexus 7 (2013), lasciando quindi Nexus 6, Nexus 9 e Nexus 5 gli unici della serie a sfruttarle.

Insomma, Google dovrebbe rilasciare nuove binari affinché le nuove API possano venire supportate, ma per il momento non siamo ottimisti dato che, se si trattasse di hardware, come sospettiamo, allora ci sarebbe ben poco da fare.

Fotografia